%define upstream_name    String-Util
%define upstream_version 1.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Handy string processing utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
String::Util provides a collection of small, handy utilities for processing
strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 03 2023 tv <tv> 1.340.0-1.mga9
+ Revision: 1937852
- update to 1.34

* Mon Mar 21 2022 umeabot <umeabot> 1.320.0-2.mga9
+ Revision: 1814266
- Mageia 9 Mass Rebuild

* Mon Mar 29 2021 tv <tv> 1.320.0-1.mga9
+ Revision: 1711604
- update to 1.32

* Sat Aug 01 2020 tv <tv> 1.310.0-1.mga8
+ Revision: 1610099
- update to 1.31

* Fri Jul 24 2020 tv <tv> 1.300.0-1.mga8
+ Revision: 1608785
- update to 1.30

* Wed Feb 12 2020 umeabot <umeabot> 1.260.0-4.mga8
+ Revision: 1506202
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.260.0-3.mga7
+ Revision: 1286210
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.260.0-2.mga7
+ Revision: 1166664
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 guillomovitch <guillomovitch> 1.260.0-1.mga7
+ Revision: 1158718
- new version 1.26

* Sun Jun 19 2016 pterjan <pterjan> 1.240.0-3.mga6
+ Revision: 1033456
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.240.0-2.mga6
+ Revision: 966896
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.240.0-1.mga6
+ Revision: 847036
- update to 1.24

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-3.mga5
+ Revision: 747828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-2.mga5
+ Revision: 686259
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 1.230.0-1.mga5
+ Revision: 623365
- Fix BR

* Fri Oct 18 2013 umeabot <umeabot> 1.210.0-3.mga4
+ Revision: 514758
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 372876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.210.0-1.mga3
+ Revision: 286497
- update to 1.21

* Fri Jan 21 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 28776
- mageia rebuild
- imported package perl-String-Util

